// Copyright ® 2024 OneSpan North America, Inc. All rights reserved. 

 
/////////////////////////////////////////////////////////////////////////////
//
//
// This file is example source code. It is provided for your information and
// assistance. See your licence agreement for details and the terms and
// conditions of the licence which governs the use of the source code. By using
// such source code you will be accepting these terms and conditions. If you do
// not wish to accept these terms and conditions, DO NOT OPEN THE FILE OR USE
// THE SOURCE CODE.
//
// Note that there is NO WARRANTY.
//
//////////////////////////////////////////////////////////////////////////////


import MSSImageScanner

public class CameraResultDelegate: ScanResultDelegate {
    var parent: SampleMain
    
    init(parent: SampleMain) {
        self.parent = parent
    }
    
    func didScan(result: String, codeType: CodeType) {
        parent.scanResultLabel = result
        parent.scanResultType  = codeType.title
        print("SCAN RESULT\ntype: \(codeType.title),\nvalue: \(result)")
    }

    func didReceive(_ error: Error) {
        guard let scannerError = error as? ScannerError else {
            assertionFailure("An error other than ScannerError is thrown: \(error)")
            return
        }
        parent.scanResultLabel = "ScannerError: " + scannerError.localizedDescription
        parent.scanResultType  = ""
    }

    func didCancel() {
        parent.scanResultLabel = "Scanning was cancelled"
        parent.scanResultType  = ""
    }
}

protocol ScanResultDelegate: AnyObject {
    func didScan(result: String, codeType: CodeType)
    func didReceive(_ error: Error)
    func didCancel()
}
