// Copyright ® 2024 OneSpan North America, Inc. All rights reserved. 

 
/////////////////////////////////////////////////////////////////////////////
//
//
// This file is example source code. It is provided for your information and
// assistance. See your licence agreement for details and the terms and
// conditions of the licence which governs the use of the source code. By using
// such source code you will be accepting these terms and conditions. If you do
// not wish to accept these terms and conditions, DO NOT OPEN THE FILE OR USE
// THE SOURCE CODE.
//
// Note that there is NO WARRANTY.
//
//////////////////////////////////////////////////////////////////////////////


import SwiftUI

// Using a native SwiftUI View to display the camera
struct CameraFrameView: View {
    var image: CGImage?

    var body: some View {
        ZStack {
            Color.black
            
            if let image = image {
                Image(image, scale: 1.0, orientation: .up, label: Text("Camera"))
                    .resizable()
                    .scaledToFill()
            } else {
                ActivityIndicator()
                    .frame(width: 50, height: 50)
                    .foregroundColor(.white)
            }
        }
        .edgesIgnoringSafeArea(.all)
    }
}

struct CameraFrameView_preview: PreviewProvider {
    static var previews: some View {
        CameraFrameView()
    }
}
