// Copyright ® 2024 OneSpan North America, Inc. All rights reserved. 

 
/////////////////////////////////////////////////////////////////////////////
//
//
// This file is example source code. It is provided for your information and
// assistance. See your licence agreement for details and the terms and
// conditions of the licence which governs the use of the source code. By using
// such source code you will be accepting these terms and conditions. If you do
// not wish to accept these terms and conditions, DO NOT OPEN THE FILE OR USE
// THE SOURCE CODE.
//
// Note that there is NO WARRANTY.
//
//////////////////////////////////////////////////////////////////////////////


import SwiftUI

struct DescriptionView: View {
    var title = ""
    var description = ""
    var multilineDescription = false
    
    // Dark mode support
    @Environment(\.colorScheme) var colorScheme
    var textColor: Color {
        colorScheme == .dark ? .white : .black
    }
    
    var body: some View {
        VStack {
            Text(title)
                .padding()
                .foregroundColor(textColor)
            
            if multilineDescription {
                ScrollView(.vertical) {
                    Text(description)
                        .frame(maxWidth: .infinity)
                        .foregroundColor(textColor)
                        .lineLimit(nil)
                }
            } else {
                Text(description)
                    .frame(maxWidth: .infinity)
                    .foregroundColor(textColor)
                    .lineLimit(nil)
                Spacer()
            }
        }
    }
}
